// (A) HTML TEMPLATE & NODE MAILER
const template = require("fs").readFileSync("1a-template.html", "utf8"),
mailer = require("nodemailer").createTransport({
  host: "127.0.0.1",
  port: 25
});

// (B) "MAILING LIST"
[
  ["Joa Doe", "joa@doe.com"],
  ["Job Doe", "job@doe.com"]
].forEach(person => {
  // (B1) MAIL MESSAGE
  let message = {
    from: "sys@site.com",
    to: person[1],
    subject: "Demo",
    html: template
  };
  message.html = message.html.replace("{name}", person[0]);
  message.html =  message.html.replace("{time}", new Date().toString());

  // (B2) SEND
  mailer.sendMail(message, (error, info) => console.log("Message sent"));
});