// (A) NODE MAILER
const mailer = require("nodemailer").createTransport({
  host: "127.0.0.1",
  port: 25
});

// (B) "MAILING LIST"
[
  ["Joe Doe", "joe@doe.com"],
  ["Joh Doe", "joh@doe.com"]
].forEach(person => {
  // (B1) MAIL MESSAGE
  let message = {
    from: "sys@site.com",
    to: person[1],
    subject: "Demo",
    html: `<html><body>
      <h1>Hi ${person[0]}!</h1>
      <p>This message is sent at ${new Date().toString()}.</p>
    </body></html>`
  };

  // (B2) SEND
  mailer.sendMail(message, (error, info) => console.log("Message sent"));
});