// (A) EJS + NODE MAILER
const ejs = require("ejs"),
mailer = require("nodemailer").createTransport({
  host: "127.0.0.1",
  port: 25
});

// (B) "MAILING LIST"
[
  ["Joi Doe", "joi@doe.com"],
  ["Jol Doe", "jol@doe.com"]
].forEach(person => {
  // (B1) MAIL MESSAGE
  ejs.renderFile(
    "3a-template.ejs", {
      name: person[0],
      time : new Date().toString()
    },

    // (B2) SEND
    (error, message) => {
      mailer.sendMail({
        from: "sys@site.com",
        to: person[1],
        subject: "Demo",
        html: message
      }, (error, info) => console.log("Message sent"));
    }
  );
});