// (A) HANDLEBARS & MAILER
const path = require("path"),
hb = require("nodemailer-express-handlebars"),
mailer = require("nodemailer").createTransport({
  host: "127.0.0.1",
  port: 25
});

// (B) USE HANDLEBAR
mailer.use("compile", hb({
  viewEngine: {
    partialsDir: path.resolve("./"),
    defaultLayout: false,
  },
  viewPath: path.resolve("./")
}));

// (C) "MAILING LIST"
[
  ["Jon Doe", "joi@doe.com"],
  ["Joy Doe", "jol@doe.com"]
].forEach(person => {
  mailer.sendMail({
    from: "sys@site.com",
    to: person[1],
    subject: "Demo",
    template: "4a-template",
    context : {
      name: person[0],
      time : new Date().toString()
    }
  }, (error, info) => console.log("Message sent"));
});